CardDAV not working after update

asked 2016-08-11 22:02:27 +0200

jolladiho gravatar image

updated 2016-08-12 12:41:06 +0200

vattuvarg gravatar image

on 2.0.1 I had a working carddav account with a radicale server. After update to 2.0.2.48ea it does not work any more. It is also not possible to create a new working carddav account on JollaC. It hangs on creating the account and the poeple application hangs too. Needs to be killed.

At the moment I can only sync my contacts this way:

carddav syncevolution N9 with radicale server

bluetooth sync JollaC with N9 ( nice to have it)

Fix needed before release

edit retag flag offensive close delete

Comments

1

Trimmed the headline a bit. I hope that's OK.

vattuvarg ( 2016-08-12 12:41:38 +0200 )edit
1

Syncevolution gone after update to 2.0.2.51, won't reinstall complainin about unmet requirement libical.so.0. I need this to work!!!! Can I downgrade again, or undo the update?

mrtrm ( 2016-09-08 17:17:40 +0200 )edit

yes, you can. You need developer mode ON, need to know the Version you come from and use the terminal (fingerterm). If your version was 2.0.1.11 for example:

ssu release 2.0.1.11
version --dup

reboot if installation finished. You will always get the Systemupdate available note. I do not recommend to do it, it is knowledge sharing only.

jolladiho ( 2016-09-08 17:58:13 +0200 )edit
1

Hello jolladiho. Thanks for your help, I managed to downgrade to 2.0.1.11 again. Only now the install process of Syncevolution stops now with a problem 'nothing provides libcal.so.1'. I'm at a loss here, my Jolla is useless if I can't sync my PIM data with my pc ... . Anyone a suggestion?

mrtrm ( 2016-09-09 11:04:37 +0200 )edit
1

I solved the issue by installing the rpm from here in the terminal instead of trying to install from Warehouse. They dependencies got resolved appearantly by the install process.

I can sync again!

Would the dependencies also be resolved when installing this way in 2.0.2.51?

mrtrm ( 2016-09-09 12:30:20 +0200 )edit